/**
 * @fileoverview devops
 * @author fwz
 */
"use strict";

//------------------------------------------------------------------------------
// Requirements
//------------------------------------------------------------------------------

const requireIndex = require("requireindex");

//------------------------------------------------------------------------------
// Plugin Definition
//------------------------------------------------------------------------------

// import all rules in lib/rules
const rules = requireIndex(__dirname + "/rules");
module.exports = {
  // rules是必须的
  rules,
  // 增加configs配置
  configs: {
    recommended: {
      plugins: ["@devops-web/eslint-plugin-devops"],
      rules: {
        "@devops-web/devops/vue-component-import-named": ["error"],
        "@devops-web/devops/filename-lower-case": ["warn"],
      },
    },
  },
};
