/**
 * @fileoverview vue文件默认导入必须为大驼峰命名
 * @author eslint-plugin-devops
 */
"use strict";

//------------------------------------------------------------------------------
// Requirements
//------------------------------------------------------------------------------

var config = {
  env: {
    browser: true,
    es6: true,
    mocha: true, // add mocha as true to your ".eslintrc. *" file
  },
  parserOptions: {
    ecmaVersion: 6,
    sourceType: "module",
    ecmaFeatures: {
      jsx: true,
    },
  },
};

const rule = require("../../../lib/rules/vue-component-import-named"),
  RuleTester = require("eslint").RuleTester;

//------------------------------------------------------------------------------
// Tests
//------------------------------------------------------------------------------

const ruleTester = new RuleTester(config);
ruleTester.run("vue-component-import-named", rule, {
  valid: ["import ProjectRoll from './components/project-roll.vue'"],

  invalid: [
    {
      code: "import projectRoll from './components/project-roll.vue'",
      errors: [{ messageId: "named" }],
      output: `import ProjectRoll from './components/project-roll.vue'`,
    },
  ],
});
